Skip to main content
POST
Export submissions
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

form_id
string
required

Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.

Body

application/json
export_type
enum<string>
required

File format of the export.

Available options:
pdf,
csv,
xlsx
submission_ids
string[]

IDs of the submissions to export. If you leave it out, all submissions are exported.

recipient_email
string<email>

Email of an active team member in the workspace who gets the download link. Required when you use an API key.

Example:

"oliver@example.com"

include_hidden_fields
boolean
default:false
include_meta_data
boolean
default:false
include_question_descriptions
boolean
default:false

Response

Accepted - Export is queued

status
string
Example:

"queued"

export_type
string
Example:

"csv"

recipient_email
string<email>
Example:

"oliver@example.com"